# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'publicity/version'

Gem::Specification.new do |spec|
  spec.name          = "publicity"
  spec.version       = Publicity::VERSION
  spec.authors       = ["Nathan Houle"]
  spec.email         = ["nathan@nathanhoule.com"]
  spec.description   = %q{Publicize private forks of Hack Reactor project repositories}
  spec.summary       = %q{This script will go through a user's GitHub profile, prompting the user to make public any private forks of Hack Reactor repositories. It'll then move those private repos out of the way and push up a new repository that contains a new readme and is public. It'll then offer to remove the user's old repos.}
  spec.homepage      = "https://github.com/hackreactor/publicity"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rspec", "~> 2.13.0"
  spec.add_development_dependency "rake"

  spec.add_runtime_dependency "andand", "~> 1.3.3"
  spec.add_runtime_dependency "highline", "~> 1.6.18"
  spec.add_runtime_dependency "github_api", "~> 0.9.7"
  spec.add_runtime_dependency "keychain_services", "~> 0.1.1"
  spec.add_runtime_dependency "rugged", "0.18.0.b1"
end
